# QMatrix Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QMatrix()
- void QMatrix(QMatrix matrix)
- void QMatrix(qreal m11, qreal m12, qreal m21, qreal m22, qreal dx, qreal dy)

### Constructor Properties

- prototype: The QMatrix prototype object

### Prototype Object Properties

- qreal det()
- qreal determinant()
- qreal dx()
- qreal dy()
- QMatrix inverted()
- bool isIdentity()
- bool isInvertible()
- qreal m11()
- qreal m12()
- qreal m21()
- qreal m22()
- QLine map(QLine l)
- QRect mapRect(QRect arg__1)
- QPolygon mapToPolygon(QRect r)
- bool operator_equal(QMatrix arg__1)
- QMatrix operator_multiply(QMatrix o)
- QMatrix operator_multiply_assign(QMatrix arg__1)
- void readFrom(QDataStream arg__1)
- void reset()
- QMatrix rotate_private(qreal a)
- QMatrix scale_private(qreal sx, qreal sy)
- void setMatrix(qreal m11, qreal m12, qreal m21, qreal m22, qreal dx, qreal dy)
- QMatrix shear_private(qreal sh, qreal sv)
- QMatrix translate_private(qreal dx, qreal dy)
- void writeTo(QDataStream arg__1)

### Instance Properties

QMatrix objects have no special properties beyond those inherited from the QMatrix prototype object.